Bug 1298245 - Add possibility to change DEFAULT/api_paste_config in trove.conf
Add possibility to change DEFAULT/api_paste_config in trove.conf
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
All Linux
high Severity high
: ---
: Mitaka
Assigned To: Alan Pevec
Luigi Toscano
: AutomationBlocker, Triaged
Depends On:
  Show dependency treegraph
Reported: 2016-01-13 10:17 EST by Martin Magr
Modified: 2017-02-20 04:01 EST (History)
9 users (show)

See Also:
Fixed In Version: openstack-packstack-8.0.0-0.4.0rc1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1282928
Last Closed: 2017-02-20 04:01:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 300907 None None None 2016-04-03 18:54 EDT

  None (edit)
Comment 1 Alan Pevec 2016-04-03 18:51:51 EDT
> Trove-api fails due to the configuration api_paste_config = api-paste.ini.
> This value is incorrect and should be updated to api_paste_config =
> /usr/share/trove/trove-dist-paste.ini

There is nothing to fix in puppet-trove, api-paste.ini was moved to default /etc/trove/ location in RDO >= liberty so this needs to be removed in Packstack:
Comment 3 Luigi Toscano 2017-02-20 04:01:19 EST
The last bit of the bug (see comment #1) was addressed long time ago (>=Mitaka), closing.

Note You need to log in before you can comment on or make changes to this bug.